.miam-shadow-overlay {
  position: fixed;
  background: rgba(0, 0, 0, 0.6);
  z-index: var(--m-z-index-modal-overlay);
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
}

.miam-modal {

  @media print{
    overflow-y: unset; 
    position: unset;
    height: unset;
  }
  z-index: var(--m-z-index-modal);
  position: fixed;
  height: 80vh;
  max-width: 1300px;
  top: 10vh;
  left: 10vw;
  right: 10vw;
  overflow-y: auto;
  overflow-x: hidden;
  border-radius: var(--m-border-radius-pill);
  background-color: var(--m-color-grey);

  &.with-header{
    .miam-modal__header {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      background-color: var(--m-color-grey);
      color: var(--m-color-grey-text-dark);
 
    }

    .miam-modal__title {
      padding: 20px;
      font-weight: bold;
      overflow: hidden;
      color: var(--m-color-grey-text-dark);
      font-size: var(--m-font-size-large);
      text-overflow: ellipsis;
      &::first-letter {
        color: var(--m-color-primary);
        font-size: 130%;
      }
    }
    .miam-modal__close__icon {
      height: 40px;
    }
  }

  &.without-header{
    .miam-modal__close__icon {
      position: absolute;
      top: -18px;
      right: -18px;
      width: 67px;
      height: 67px;
      display: flex;
      justify-items: center;
      z-index: var(--m-z-index-position-absolute-height);
      background: var(--m-color-white);
      border-radius: var(--m-border-radius-circle);
    }
  }

  .miam-modal__container {
    position: relative;
    height: 100%;
    display: flex;
    flex-direction: column;
    
    .miam-modal__close__icon {
      @media print  {
        display: none;
      }
      margin: 10px;
      cursor: pointer;
      transition-duration: 0.5s;
      &:hover {
        transform: rotate(180deg);
      }
    }

    .miam-modal__actions {
      display: flex;
      flex-direction: row;
      margin: auto;
      justify-content: space-between;
      align-items: center;
      justify-content: space-evenly;
      margin: 20px;
    }
  }
}

